Skip to content

Retrieve a single SCIM resource type. Defines the endpoints, the core schema URI which defines this resource, and any supported schema extensions.

GET/api/{version}/scim/v2/{type}
NameDescription
Acceptapplication/json (default) or application/scim+json
NameDescription
typeThe resource type to retrieve. You can retrieve all available types from the Retrieve All SCIM Resource Types endpoint, where the value for this parameter is the endpoint value.
NameDescription
filterOptional: Filter for a specific attribute value. Must be in the format {attribute} eq "{value}". For example, to filter for a particular user name, userName eq "john". Complex expressions are not supported, and eq is the only supported operator.
attributesOptional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, attributes=userName,emails. Note that the schemas and id attributes are always returned.
excludedAttributesOptional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, excludedAttributes=userName,emails. Note that the schemas and id attributes are always returned and cannot be excluded.
sortByOptional: Specify an attribute or sub-attribute to order the response. For example, you can sort by the displayName attribute, or the name.familyName sub-attribute. If omitted, the response is sorted by id. Note that the following attributes are not supported:
  • securityPolicy
  • securityProfile
  • locale
  • preferredLanguage
sortOrderOptional: Specify the order in which the sortBy parameter is applied. Allowed values are ascending or descending. If omitted, defaults to ascending.
countOptional: Specify the number of query results per page, for example, 10. Negative values are treated as 0, and 0 returns no results except for totalResults. If omitted, defaults to 1000.
startIndexOptional: Specify the index of the first result. For example, 10 would omit the first 9 results and begin on result 10. Omission, negative values, and 0 is treated as 1.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://veepharm.com/api/v26.1/scim/v2/SecurityProfiles
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 20, "Resources": [ { "schemas": [ "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile" ], "id": "business_admin__v", "meta": { "created": "2018-02-09T09:41:14.000Z", "lastModified": "2018-02-09T09:41:14.000Z", "resourceType": "SecurityProfile", "location": "https://promomats-template.vaultdev.com/api/v26.1/scim/v2/SecurityProfiles/business_admin__v" }, "active": true, "displayName": "Business Administrator" }, { "schemas": [ "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile" ], "id": "document_user__v", "meta": { "created": "2018-02-09T09:41:14.000Z", "lastModified": "2018-02-09T09:41:14.000Z", "resourceType": "SecurityProfile", "location": "https://promomats-template.vaultdev.com/api/v26.1/scim/v2/SecurityProfiles/document_user__v" }, "active": true, "displayName": "Document User" } ] }